@import url("https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap");
@import url('https://fonts.googleapis.com/css2?family=Anton&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
:root {
  --color-primary: #41C4C3;
  --bg-image: url("https://webstore-template-assets.tebex.io/images/page-bg.jpg");
}

body {
   font-family: "Poppins", sans-serif;
}
body::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  width: 100%;
  height: 100%;
  max-height: 400px;
  z-index: -1;
  
  mask-image: linear-gradient(rgba(0, 0, 0, 0.75) 50%, rgba(0, 0, 0, 0.25));
  pointer-events: none;
}

.btn-primary,
.btn-secondary,
.btn-tertiary {

}

.quantity-field .btn-tertiary {
  border-radius:2px;
}

.btn-primary:hover, .btn-primary:focus,
.btn-secondary:hover,
.btn-secondary:focus {
 color:white;
}

.quantity-field {
  border-radius: 5px;
}

.site-header-inner .info .image {
  border-radius: 5px;
}
.site-header-inner .user-name ul li {
  overflow: hidden;
}
.site-header-inner .user-name ul li:first-child {
  border-top-left-radius: 2px;
  border-top-right-radius: 2px;
}
.site-header-inner .user-name ul li:last-child {
  border-bottom-left-radius: 2px;
  border-bottom-right-radius: 2px;
}

.site-home-categories .category {
  border-radius: 5px;
  padding: 20px var(--widget-padding);
  background: var(--color-brighter-bg);
  transition: color 0.15s ease-in-out;
}
.site-home-categories .category:hover {
  color: var(--color-primary);
}

.category-description {
  border-radius: 5px;
  background: var(--color-brighter-bg);
}

.store-text {
  border-radius: 5px;
  /* background: var(--color-brighter-bg); */
}
.store-text h1,
.store-text h2,
.store-text h3,
.store-text h4,
.store-text h5,
.store-text h6 {
  text-align: center;
}

.store-products-list .store-product,
.store-products-images .store-product {
  border-radius:1rem;

  /* Auto layout */
display: flex;
flex-direction: column;
align-items: flex-start;
padding: 0px;

width: 465px;
height: 400px;


/* Inside auto layout */
flex: none;
order: 0;
flex-grow: 0;
  border-radius:0px;
  /* background-color: rgba(12, 13, 18,0.4); */
  /* box-shadow: rgba(50, 50, 93, 0.25) 0px 30px 60px -12px inset, rgba(0, 0, 0, 0.3) 0px 18px 36px -18px inset; */
}




.store-products-images .store-product {
  text-align: center;
}


.widget .store-product {
  text-align: center;
}

.no-products {
  color: var(--color-text-secondary);
  background: var(--color-brighter-bg);
  border-radius: 5px;
}

.store-product-full {
  /* margin-top:5rem; */
  border-radius: 5px;
  background: unset;
}
.site-content-widgets {
  /* display: grid; */
  grid-template-columns: repeat(auto-fit, minmax(1480px, 1fr));
  gap: 2rem;
  justify-items: center;
  padding-bottom:12rem;
  align-items: center;
  /* padding: 2rem 0; */
}
.site-content-widgets .full-product-content {
  order: 0;
  margin-top: 5rem;
  padding-top:6rem;
  justify-self: center;
  align-self: center;
  min-height:fit-content;
  align-items:flex-start;
  justify-content:flex-start;
  align-content:flex-start;
  width:1480px;
}

.site-content-widgets .customer--reviews {
  display:none;
}
.site-content-widgets .store-sidebar {
  display:none;
}
/* Ukrywanie wybranych elementów */
.site-content-widgets .hidden {
  display: none !important;
}

.full-product-content {
  /* margin-top: 10rem; */
  border: none;
  width: 1480px;
  min-width: 1480px;
  height: auto !important;
  flex: 0 0 1480px;
  align-self: stretch;
  overflow: hidden;
}
.full-product-content  {
 
}
.full-product-content .product-froggy-sphere {
  /* margin-top:55rem; */
  align-items:flex-start;
  justify-content:flex-start;
}
.full-product-content .youtube-video{
  max-width:100%;
}

.full-product-content .text-content {
  width:100%;
  height:auto;
  max-width:100%;
}
.full-product-content .text-content ul {
  width:100%;
}
.full-product-content .product-actions {
  flex-direction:column;
}
.store-product .quantity-field {
  /* border-radius: 2rem; */
  border: unset;
  max-width:170px;
  background: var(--color-brighter-bg);
}
.store-product .quantity-field input[type=number] {
  border: none;
}

@media (width > 960px) {
  .navigation-horizontal > ul {
    border-radius: 5px;
  }
}
.navigation-horizontal .has-children > ul {
  border-radius: 5px;
}

.widget {
  border-radius: 2rem;
  /* background: var(--color-brighter-bg); */
}
@media (width <= 960px) {
  .widget.site-navigation {
    border-radius: 0;
    background: transparent;
  }
}

.widget-gift-card .gift-card-input {
  border-radius: 2px;
}

.widget-top-donator .avatar {
  border-radius: 50%;
}

.widget-community-goal .progress,
.widget-goal .progress {
  border-radius: 2px;
}
.widget-community-goal .progress-bar,
.widget-goal .progress-bar {
  border-radius: 2px;
}

@media (width > 600px) {
  .popup-content {
    border-radius: 5px;
  }
}

.popup-close {
  border-radius: 0 5px 0 5px;
}

.basket-popup-content,
.basket-popup-content .popup-close {
  border-radius: 0;
}

.basket-items {
  padding: var(--widget-padding) calc(var(--content-padding) - var(--widget-padding));
}

.basket-item {
  border-radius: 5px;
}
.basket-item .quantity {
  border-radius: 2px;
}

.toast {
  border-radius: 6px;
}

.toast-close {
  border-radius: 2px;
}
.loginIcon {
 /* border-radius:50%; */
 /* padding:15px; */
 /* background-color: rgba(255,255,255,0.05); */
 max-height:46px;
 font-weight:400;
 color: white;
 font-size:16px;
}


.hero .hero--image {

 
    bottom: 0%;
    width:95%;
    z-index: 2;
    display: flex;
    justify-content:space-between;
    align-items:center;
    align-content:center;
  
}


.youtube-video {
  position: relative;
  width: 50%;
  padding-bottom: 28.125%;
  height: 0;
  overflow: hidden;
}

.youtube-video iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}


@media screen and (max-width: 1550px){
  .full-product-content {
    min-width:unset;
    min-height:fit-content;
    align-items:flex-start;
    justify-content:flex-start;
    align-content:flex-start;
    width:90vw;
  }
  .full-product-content .product-froggy-sphere {
    margin-top:unset;
  }
  .site-content-widgets .full-product-content {
    margin-top:1rem;
    padding-top:6rem;
  }
  .full-product-content .youtube-video{
   min-width:unset;
    width:90vw;
  
  }
  .site-content-widgets {
    grid-template-columns:unset;
  }
  .full-product-content .youtube-video iframe {
    
      height:500px !important;
  }
   .full-product-content .product-froggy-sphere .product-style-title .package-title a {
    width:90vw;
  }
     .full-product-content .product-froggy-sphere .product-style-title  {
       flex-direction:column;
       align-items:flex-start;
     }

       .full-product-content .product-froggy-sphere .add::before {
         display:none;
       }
         .full-product-content .product-froggy-sphere .add::after{
         width:80vw;
       }
   .full-product-content .product-froggy-sphere{
     align-items:flex-start;
   }
}

@media screen and (max-width:610px){
  .full-product-content .product-froggy-sphere .actions .wide {
    width:unset;
    min-width:unset;
    margin:1.5rem auto;
  }
  .site-content-widgets .full-product-content {
    width:90vw;
    overflow-y:scroll;
  }

  .full-product-content .product-froggy-sphere {
    width:100%;
   
  }
 .full-product-content .product-froggy-sphere .product-style-title {
   align-items:center;
 }

   .full-product-content .product-froggy-sphere  .package-title{
     font-size:2rem;
   }

  .full-product-content .product-froggy-sphere .product-style-title .price {
    width:unset;
    margin:0 auto;
  }
  
   
 .full-product-content .product-froggy-sphere .product-style-title .package-title a {
  font-size:1.3rem;
 }
    .full-product-content .youtube-video{
      max-width:100%;
      max-height:100px;
    }
   .full-product-content .youtube-video iframe {
     height:100% !important;
   }
  .full-product-content .product-froggy-sphere .add::after{
         width:100%;
    }
}